<template>
  <div class="price">

    <div class="flex">
      <div>
        <div class="flex-item" style="margin-bottom: 0.2rem;">
          <span class="t1 left">行业类别</span>
          <el-select v-model="getData.industryId" placeholder="请选择">
            <el-option v-for="item in industryoptions" :key="item.id" :label="item.name" :value="item.id">
            </el-option>
          </el-select>
          <span class="t1 left">所在地区</span>
          <citySelect @sendprovinceId="receiveP" @sendcityId="receiveC" @senddistrictId="receiveS" ref="mychild"></citySelect>
        </div>
        <div class="flex-item t1">
          <span class="t1 left">发布日期</span>
          <el-date-picker v-model="interTimerPicker" :picker-options="pickerOptions" type="daterange" range-separator="-"
            start-placeholder="开始日期" end-placeholder="结束日期" :beginDate = "getData.beginDate" :endDate = "getData.endDate" @change="timeChange" style="width:240px">
          </el-date-picker>
          <span class="left">项目名称</span>
          <el-input v-model="getData.title" placeholder="请输入内容" style="width: 2.3rem;"></el-input>
          <div style="width:0.6rem;" class="flex">
              <el-button style="margin-left:20px" @click="queryStr">查询</el-button>
              <el-button class="reset" @click="reset">重置</el-button>
          </div>
        </div>
      </div>
    </div>
    <ul v-if ="isshow">
      <li v-for="item in priceList" :key="item.id">
        <div @click="handleChageUrl(item.noticeId)">
          <div class="time">{{getTimer(item.createTime)}}</div>
          <div class="price-item">
            <div class="t1" style="font-weight: bold;">
              <span class="state-red">[招标公告]</span>
              <span>{{item.title}}</span>
            </div>
            <div class="flex-between">
              <div>所属行业:{{item.industryName}}</div>
              <div>采购商:{{item.companyName}}</div>
            </div>
            <div class="flex-between">
              <div>所属地区:{{item.area}}</div>
              <div>招标状态: <span class="state-red">{{item.projectStatus}}</span> </div>
            </div>
          </div>
        </div>  
      </li>
    </ul>
    <div class="pagination flex-center">
      <el-pagination @size-change="handleSizeChange" @current-change="handleCurrentChange" :current-page="getData.currentPage" :page-size = "getData.size" :page-sizes="[10, 20, 30, 40]"
        layout="total,prev, pager, next,sizes, jumper" :total="total">
      </el-pagination>
    </div>
  </div>
</template>

<script>
import {getBidingList} from '@/common/list.js'
import {industryList} from '@/api/common/list.js'
import citySelect from "@/components/citySelect.vue";
import Cookies from 'js-cookie'
  export default {
    components:{
      citySelect,
    },
    mounted(){
      let mes ={
      currentPage:1,
      size:10,
      noticeType:'BIDDING'
    }
      if(Cookies.get("details")){
        mes.currentPage = Cookies.get("currentPage")
        mes.size = Cookies.get("size")
      }
      this. industryList();
      this. getBidingList(mes)
      Cookies.remove("details")
      Cookies.remove("currentPage")
      Cookies.remove("size")
    },
    async asyncData({ params, route, error }){
    let mes ={
      currentPage:1,
      size:10,
      noticeType:"BIDDING"
    }
    /* if(Cookies.get("details")){
      mes.currentPage = Cookies.get("currentPage")
    }
    Cookies.remove("details")
    Cookies.remove("currentPage") */
    const res = await industryList();
    const {data,total} = await getBidingList(mes)
    console.log(data+'------------')
    return {
      priceList : data,
      total : total,
      industryoptions:res
    }
  },
    data() {
      return {
        isshow:true,
        total:0,
        getData:{
          provinceId:'',
          cityId:'',
          districtId:'',
          industryId:'',
          beginDate:'',
          endDate:'',
          currentPage:1,
          size:10,
          noticeType:"BIDDING"
        },
        
        priceList: [{
			      id:'',
            time: '',
            title: '',
            industry: '',
            user: '',
            local: '',
            state: '',
          },
        ],
        interTimerPicker: "",
        pickerOptions: {
          disabledDate: (time) => {
            return this.dealDisabledDate(time)
          }
        },
        industryoptions: [{
          value: '选项1',
          label: '黄金糕'
        }, {
          value: '选项2',
          label: '双皮奶'
        }, {
          value: '选项3',
          label: '蚵仔煎'
        }, {
          value: '选项4',
          label: '龙须面'
        }, {
          value: '选项5',
          label: '北京烤鸭'
        }],
      }
    },
    methods: {
      //年月日
    getTimer(dateStr){
      var date = new Date(dateStr);
      var Month = date.getMonth() + 1;
      var Day = date.getDate();
      var Y = date.getFullYear() + '-';
      var hh = date.getHours();
      var mm = date.getMinutes(); 
      var h = hh<10?'0'+hh+':':hh+':'
      var m = mm<10?'0'+mm:mm
      var M = Month < 10 ? '0' + Month + '-' : Month + '-';
      var D = Day  < 10 ? '0' + Day : Day;
      return Y + M + D + " " +h + m;
    },
      timeChange(e){
        this.getData.beginDate = e[0].getTime()
        this.getData.endDate = e[1].getTime()
      },  
      /* 重置按钮 */
      reset(){
        this.getData.industryId = ''
        this.interTimerPicker = '' 
        this.$refs.mychild.clear()  
        this.getData.title = ''
        this.getBidingList(this.getData)
      },
      async queryStr(){
        console.log(this.getData)
        const {data,total} = await getBidingList(this.getData)
        this.priceList = data
        this.total = total
      },
      receiveP(value){
        this.getData.provinceId = value
      },
      receiveC(value){
        this.getData.cityId = value
      },
      receiveS(value){
        this.getData.districtId = value
      },
      async industryList(){
        const res = await industryList();
        this.industryoptions = res;
      },
      async getBidingList(params){
        const {data,total} = await getBidingList(params);
        this.priceList = data;
        if(total === null||0){
          this.isshow = false
        }
        this.total = total;
       },
      handleSizeChange(val) {
      let mess = {}
      mess.size = val
      this.getData.size = val
      mess.currentPage = this.getData.currentPage
      mess.noticeType = "BIDDING"
      Cookies.set("size",val)
      this.getBidingList(mess)
      },
     handleCurrentChange(val) {
        /* this.getData.currentPage = val */
        let mess = {}
        mess.currentPage = val
        this.getData.currentPage = val
        mess.size = this.getData.size
        mess.noticeType = "BIDDING"
        Cookies.set("currentPage",val)
        this.getBidingList(mess)
        //获取当前页
      },
      dealDisabledDate(time) {
        // 一天的毫秒数 = 8.64e7  判断时在return处可进行加减
        let curDate = (new Date()).getTime();
        let day = 12 * 30 * 24 * 3600 * 1000;
        let dateRegion = curDate - day;
        return time.getTime() > Date.now() || time.getTime() < dateRegion;
      },
      handleChageUrl(id){
      console.log(this.cacheCurrentPage+'1111111111111111112222')
      Cookies.set("details",true)
      return this.$router.push(`biddingdetails?id=${id}`)
      }
    }
  }
</script>
<style scoped>
.price {
  width: 9.2rem;
  position: relative;
}

  .left {
    margin-left: 0.3rem;
    margin-right: 0.15rem;
    width:70px;
  }

  .reset {
  color:#FF5203;
  background: #FFFFFF;
  border: 1px solid #FF5203
}
  .price>ul {
    width: 9.3rem;
    box-sizing: border-box;
    padding-top: 0.2rem;
  }

  .price>ul>li {
    height: 1.87rem;
    border: 1px solid rgba(219, 219, 219, 1);
    margin-bottom: 0.2rem;

  }

  .price>ul>li .time {
    height: 0.41rem;
    line-height: 0.41rem;
    box-sizing: border-box;
    padding-left: 0.2rem;
    border-bottom: 1px solid rgba(219, 219, 219, 1);
    font-size: .16rem;
    color: rgba(153, 153, 153, 1);
  }

  .price>ul>li .price-item {
    margin: .13rem 0 0 0.2rem;
  }

  .price>ul>li .price-item>div {
    font-size: .14rem;
    color: rgba(76, 76, 76, 1)
  }

  .price-item>div:first-child {
    font-size: .16rem;
  }

  .price-item>div:nth-child(2) {
    margin-top: .24rem;
    margin-bottom: .19rem;
    width: 4.5rem
  }

  .price-item>div:last-child {
    width: 4.5rem
  }
.state-red {
  color:#FF5203
}
.pagination{
  position: absolute;
  left: 50%;
  transform:translateX(-50%);
  margin-top:20px
}
</style>
